#ifndef _JACOBI_H
#define _JACOBI_H

#include "jacobi.decl.h"
#include "main.h"

#define NBLOCKS 5
#define HEIGHT 100
#define WIDTH  10

class jacobi : public TempoArray {
  double data[WIDTH+2][100];
  public:
    jacobi(ArrayElementCreateMessage *msg) : TempoArray(msg) {delete msg;}
    jacobi(ArrayElementMigrateMessage *msg) : TempoArray(msg) { delete msg;}
    void run(void);
    static int numBlocks(void) { return NBLOCKS; }
};

#endif
